Subsections

- Name
- Synopsys
- Description
- Parameters
- Example
- Errors
- See Also

##
GetRefXY

### Name

GetRefXY - Returns the coordinates of a reference

### Synopsys

    GetRefXY ( pathname, refname )

### Description

Computation of coordinates.
The point returned (object XY) represents the location of the reference of name `refname` within the coodinates system of the top cell. The reference `refname` is instanciated in an instance found thanks to `pathname` which represents an ordered sequence of instances through the hierarchy.

### Parameters

- `pathname` : The path in order to obtain, from the top cell, the instance the reference `refname` belongs to
- `refname` : The name of the reference

### Example

The cell which is being created (the top cell), instanciates a generator with instance name "my_dpgen_and2". This generator instanciates an instance called "cell_1" which the reference "i0_20" belongs to.

    GetRefXY ( "my_dpgen_and2.cell_1", "i0_20" )

### Errors

Some errors may occur :

- `[Stratus ERROR] GetRefXY :`
  `The instance's path must be put with a string.`
- `[Stratus ERROR] GetRefXY :`
  `The reference must be done with it's name : a string.`
- `[Stratus ERROR] GetRefXY :`
  `No reference found with name ... in masterCell ...`

### See Also

Introduction Layout PlaceSegment PlaceContact PlacePin PlaceRef CopyUpSegment